Start a new topic

Unity build problems with SDK 8 beta

In case someone has troubles with building the latest SDK 8 beta for Unity, here are the steps to be taken:


After the Xcode project was exported, in the `Linked Frameworks and Libraries` section, please make sure that the `libiPhone-lib.a` library is placed after the `libUnityiOSBridgeLibrary.a` library.


I pushed `libiPhone-lib.a` below `libUnityiOSBridgeLibrary.a`

Unfortunately, the error still occurs. This time the error is: "library not found for -lil2cpp"


Hi Bernhard,


Are you using the final SDK version or still the beta? If you haven't tried with the final version, please donwload the version from the download page and follow the steps in the documentation for the setup.


Greetings

Nicola

Hello,


I'm still unable to build the sample application with SDK 8 .

I get a linker error stating that the WikitudeNativeSDK was not found in the folder, whereas I did drag and drop the NativeSDK, along with what you mentioned in the top post regarding the hierarchy of the files.


The linker error ends with Code 1:


"ld: framework not found WikitudeNativeSDK
clang: error: linker command failed with exit code 1 (use -v to see invocation)"

Hi,


The information from the first post is only valid for the Beta release. If you are using the final 8.0.0 release, you should follow the instructions from the documentation:

http://www.wikitude.com/external/doc/documentation/latest/unity/setupguideunity.html#export-and-xcode-build-settings-changes


Specifically, there shouldn't be any WikitudeNativeSDK.framework, but just the WikitudeSDK.framework. Perhaps that was left over from a previous build.


Best regards,

Alexandru

Login or Signup to post a comment